For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organization Metadata

Get all organization metadata entries for playbooks.

get

Retrieves a paginated list of all organization metadata entries for playbooks, with optional search and sorting.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstringOptional
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableRequired
isRequiredbooleanRequired
objectIdentifierstring · uuidRequired
get/playbooks/organization-metadata
GET /playbooks/organization-metadata HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "dataType": "text",
    "isRequired": true,
    "options": [
      {
        "name": "text",
        "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
  }
]

Create a new organization metadata entry for playbooks.

post

Creates a new organization metadata entry for playbooks.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Body
namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableRequired
isRequiredbooleanRequired
optionsstring[] · nullableOptional
Responses
201

Created

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableRequired
isRequiredbooleanRequired
objectIdentifierstring · uuidRequired
post/playbooks/organization-metadata
POST /playbooks/organization-metadata HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91

{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "isRequired": true,
  "options": [
    "text"
  ]
}
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "isRequired": true,
  "options": [
    {
      "name": "text",
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Get an organization metadata entry for playbooks by object identifier.

get

Retrieves the details of an organization metadata entry for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableRequired
isRequiredbooleanRequired
objectIdentifierstring · uuidRequired
get/playbooks/organization-metadata/{objectIdentifier}
GET /playbooks/organization-metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "isRequired": true,
  "options": [
    {
      "name": "text",
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Update an organization metadata entry for playbooks.

put

Updates the details of an existing organization metadata entry for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Body
namestring · nullableRequired
descriptionstring · nullableRequired
isRequiredbooleanRequired
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableRequired
isRequiredbooleanRequired
objectIdentifierstring · uuidRequired
put/playbooks/organization-metadata/{objectIdentifier}
PUT /playbooks/organization-metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "name": "text",
  "description": "text",
  "isRequired": true
}
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "isRequired": true,
  "options": [
    {
      "name": "text",
      "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}

Delete an organization metadata entry for playbooks.

delete

Deletes an organization metadata entry for playbooks using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
204

No Content

No content

delete/playbooks/organization-metadata/{objectIdentifier}
DELETE /playbooks/organization-metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated